drop table if exists servicetypes cascade;
create table servicetypes(
	servicetype_id serial,
	servicetype_name varchar(64),
	servicetype_needs_location boolean default false,
	constraint servicetypes_servicetype_id_pkey primary key( servicetype_id )
);

comment on table servicetypes is 'storage of servicetypes';
comment on column servicetypes.servicetype_id is 'unique id of servicetype';
comment on column servicetypes.servicetype_name is 'name of the servicetype';
comment on column servicetypes.servicetype_needs_location is 'needs a location flag of servicetype';

comment on constraint servicetypes_servicetype_id_pkey on servicetypes is 'unique constraint of table';

insert into servicetypes( servicetype_name ) values ( 'translation' );
insert into servicetypes( servicetype_name , servicetype_needs_location ) values ( 'interpretation' , true );
insert into servicetypes( servicetype_name ) values ( 'proofreading' );
